# Method: curators.dataSegments.create

- [HTTP request](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.dataSegments/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.dataSegments/create#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.dataSegments/create#body.request_body)
- [Response body](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.dataSegments/create#body.response_body)
- [Authorization scopes](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.dataSegments/create#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.dataSegments/create#try-it)

Creates a data segment owned by the listed curator. The data segment will be created in the `ACTIVE` state, meaning it will be immediately available for buyers to use in preferred deals, private auction deals, and auction packages.

### HTTP request

`POST https://authorizedbuyersmarketplace.googleapis.com/v1beta/{parent=curators/*}/dataSegments`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where this data segment will be created. v1alpha format: `buyers/{accountId}` v1beta format: `curators/{accountId}` |

### Request body

The request body contains an instance of `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.dataSegments#DataSegment`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.dataSegments#DataSegment`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/authorized-buyers-marketplace`